Skip to main content
GET
This endpoint will index all of the contacts which a phone number has communicated with (threads). with paging limited to 50 messages per response. It will be sorted by updated_at in descending order.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Path Parameters

instance
string
required

Instance UUID copied from hypersender dashboard

Example:

"{{ instance_id }}"

Query Parameters

per_page
string

number of messages per page, max: 50

sort
string

default: -updated_at, you can sort by any date: 'created_at', 'last_message_at', 'updated_at'

filter[last_message_content]
string

filter by last message content.

filter[is_archived]
boolean

filter by SMS messages based on their archived status.

filter[last_message_id]
string

get the thread where the thread is the specified message id

filter[from_or_to_number]
string

get the thread where the "from" or "to" of phone number

include
string

include the phone or messageThread object with the message, possible values: phone, messageThread

Response

Successful response

data
object[]
meta
object